﻿const loading = document.getElementById("loading");
let loadingLive = true;
async function getUsers() {
    // отправляет запрос и получаем ответ
    const response = await fetch("/api/users", {
        method: "GET",
        headers: { "Accept": "application/json" }
    });
    // если запрос прошел нормально
    if (response.ok === true) {
        // получаем данные
        const users = await response.json();
        const table = document.getElementById("users");
        if (loadingLive) {
            loading.remove();
            loadingLive = false
        }
        users.forEach(user => table.append(createrow(user, true)));
        return users;
    }
}
function createrow(user, hidebut) {
    let tr = document.createElement("tr");
    let tdName = document.createElement("td");
    let tdMast = document.createElement("td");
    let tdId = document.createElement("td");
    let tdBut = document.createElement("td");
    let ButtDel = document.createElement("button");
    tdId.append(user.id);
    tdName.append(user.nickname);
    tdMast.append(user.mast);
    ButtDel.className = "AdminButtons";
    ButtDel.append("УДАЛИТЬ");
    ButtDel.addEventListener("click", async() => await deleteUser(user.id));
    tdBut.append(ButtDel);
    tdBut.className = "ADMINBUT";
    if (hidebut) {
        tdBut.style.display = "none";
    }
    tr.append(tdId, tdName, tdMast, tdBut);
    tr.id = user.id;
    return tr;
}

getUsers();